Passer au contenu principal
GET
/
v1
/
audit-logs
List audit logs
curl --request GET \
  --url https://api.hyperline.co/v1/audit-logs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "invoice.electronic_invoice.sent",
      "happened_at": "2024-10-20T14:32:11.000Z",
      "customer_id": "cus_Typ0px2W0aiEtl",
      "subscription_id": null,
      "invoice_id": "inv_1eTaiytfA0i2Va",
      "quote_id": null
    }
  ],
  "next_cursor": null,
  "has_more": false,
  "total": 1
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de requête

limit
number
défaut:50

Maximum number of items to return (1-100).

Plage requise: x <= 100
Exemple:

50

cursor
string

Opaque cursor returned in the previous response's next_cursor. Omit to fetch the first page.

include_total
défaut:false

Set to true to include total in the response.

Exemple:

false

customer_id
string

Return only entries attached to this customer ID.

Exemple:

"cus_Typ0px2W0aiEtl"

subscription_id
string

Return only entries attached to this subscription ID.

Exemple:

"sub_amiaWZ3lzDIWaoT"

invoice_id
string

Return only entries attached to this invoice ID.

Exemple:

"inv_1eTaiytfA0i2Va"

quote_id
string

Return only entries attached to this quote ID.

Exemple:

"quo_1eTaiytfA0i2Va"

Réponse

200 - application/json
data
(Audit log · object | Email audit log · object)[]
requis

List of AuditLog.

next_cursor
string | null
requis

Cursor to fetch the next page. null when there are no more items.

Exemple:

null

has_more
boolean
requis

Whether more items are available after this page.

Exemple:

false

total
number

Total number of items matching the filters. Only present when include_total=true was passed.

Exemple:

1